Bug 1086730 (CVE-2014-2851) - CVE-2014-2851 kernel: net: ping: refcount issue in ping_init_sock() function
Summary: CVE-2014-2851 kernel: net: ping: refcount issue in ping_init_sock() function
Status: CLOSED ERRATA
Alias: CVE-2014-2851
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140411,repo...
Keywords: Security
Depends On: 1087412 1087414 1087415 1087416 1087418 1087419 1087420 1087478
Blocks: 1086734
TreeView+ depends on / blocked
 
Reported: 2014-04-11 11:50 UTC by Petr Matousek
Modified: 2018-12-06 16:16 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way the ping_init_sock() function of the Linux kernel handled the group_info reference counter. A local, unprivileged user could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 16:32:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0557 normal SHIPPED_LIVE Important: kernel-rt security update 2014-05-27 20:25:52 UTC
Red Hat Product Errata RHSA-2014:0786 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-06-24 19:58:32 UTC
Red Hat Product Errata RHSA-2014:0981 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-07-29 19:51:12 UTC
Red Hat Product Errata RHSA-2014:1101 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-08-27 18:01:22 UTC

Description Petr Matousek 2014-04-11 11:50:15 UTC
A flaw was found in the way ping_init_sock() function handled group_info struct reference counter. Since group_info refcounter is only incremented but never decremented in this codepath, it could lead to refcounter overflow and possibly to use-after-free issue later.

An unprivileged local user could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Upstream patch proposal:
https://lkml.org/lkml/2014/4/10/736

Comment 1 Petr Matousek 2014-04-11 11:52:15 UTC
Statement:

This issue does not affect Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

Comment 5 Petr Matousek 2014-04-14 10:18:28 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1087420]

Comment 7 Fedora Update System 2014-04-18 15:36:03 UTC
kernel-3.13.10-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-05-06 03:31:39 UTC
kernel-3.13.11-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2014-05-27 16:27:55 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0557 https://rhn.redhat.com/errata/RHSA-2014-0557.html

Comment 11 errata-xmlrpc 2014-06-24 15:58:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html

Comment 12 errata-xmlrpc 2014-07-29 15:52:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0981 https://rhn.redhat.com/errata/RHSA-2014-0981.html

Comment 13 Martin Prpič 2014-08-25 09:09:55 UTC
IssueDescription:

A use-after-free flaw was found in the way the ping_init_sock() function of the Linux kernel handled the group_info reference counter. A local, unprivileged user could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Comment 14 errata-xmlrpc 2014-08-27 14:01:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:1101 https://rhn.redhat.com/errata/RHSA-2014-1101.html

Comment 15 Mark J. Cox 2016-01-05 09:07:16 UTC
interesting discussion of exploitability:

https://cyseclabs.com/page?n=02012016


Note You need to log in before you can comment on or make changes to this bug.